### Signal

# Pos OskWidget::key-down

since: 0

#### Declaration

    void
    key_down (
      PosOskWidget* self,
      gchar* symbol,
      gpointer user_data
    )

#### Description [src]

A key was pressed. This is mostly useful for haptic feedback since it’s not clear yet where the user will lift the finger.

The event will be followed by either a “key-up” signal or a “key-caneled” signal in case the press got cancelled.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0

#### Parameters

`symbol`

  Type: `gchar*`

  The key pressed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.